Mozilla Firefox ESR 45.x < 45.5 Multiple Vulnerabilities

High Nessus Plugin ID 94959


The remote Windows host contains a web browser that is affected by multiple vulnerabilities.


The version of Mozilla Firefox ESR installed on the remote Windows host is 45.x prior to 45.5. It is, therefore, affected by multiple vulnerabilities, the majority of which are remote code execution vulnerabilities. An unauthenticated, remote attacker can exploit these vulnerabilities by convincing a user to visit a specially crafted website, resulting in the execution of arbitrary code in the context of the current user.


Upgrade to Mozilla Firefox ESR version 45.5 or later.

See Also

Plugin Details

Severity: High

ID: 94959

File Name: mozilla_firefox_45_5_esr.nasl

Version: $Revision: 1.5 $

Type: local

Agent: windows

Family: Windows

Published: 2016/11/18

Modified: 2016/12/05

Dependencies: 20862

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:firefox_esr

Required KB Items: Mozilla/Firefox/Version

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/11/15

Vulnerability Publication Date: 2016/11/15

Reference Information

CVE: CVE-2016-5290, CVE-2016-5291, CVE-2016-5293, CVE-2016-5294, CVE-2016-5296, CVE-2016-5297, CVE-2016-9064, CVE-2016-9066, CVE-2016-9074

BID: 94335, 94336, 94339, 94341

OSVDB: 147338, 147340, 147341, 147342, 147343, 147345, 147352, 147362, 147375, 147376, 147377, 147378, 147379, 147380, 147381, 147382, 147383, 147384, 147385, 147386

MFSA: 2016-90